Pools - Update
Patch the specified capacity pool
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetApp/netAppAccounts/{accountName}/capacityPools/{poolName}?api-version=2026-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{0,127}$ |
The name of the NetApp account |
|
pool
|
path | True |
string minLength: 1maxLength: 64 pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{0,63}$ |
The name of the capacity pool |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| location |
string |
Resource location |
| properties.coolAccess |
boolean |
If enabled (true) the pool can contain cool Access enabled volumes. |
| properties.customThroughputMibps |
integer (int32) |
Maximum throughput in MiB/s that can be achieved by this pool and this will be accepted as input only for manual qosType pool with Flexible service level |
| properties.qosType |
The qos type of the pool |
|
| properties.size |
integer (int64) |
Provisioned size of the pool (in bytes). Allowed values are in 1TiB chunks (value must be multiple of 1099511627776). |
| tags |
object |
Resource tags |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| 202 Accepted |
Resource update request accepted. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
| Pools_Update |
|
Pools_Update_Custom |
Pools_Update
Sample request
Sample response
{
"name": "account1/pool1",
"type": "Microsoft.NetApp/netAppAccounts/capacityPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myRG/providers/Microsoft.NetApp/netAppAccounts/account1/capacityPools/pool1",
"location": "eastus",
"properties": {
"poolId": "9760acf5-4638-11e7-9bdb-020073ca7778",
"provisioningState": "Succeeded",
"qosType": "Manual",
"serviceLevel": "Premium",
"size": 4398046511104,
"totalThroughputMibps": 281.474,
"utilizedThroughputMibps": 100.47
}
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.NetApp/locations/eastus/operationResults/616ee961-4042-4935-b4a0-ed6f4dae0172?api-version=2026-01-01&operationResultResponseType=Location
Pools_Update_CustomThroughput
Sample request
Sample response
{
"name": "account1/customPool1",
"type": "Microsoft.NetApp/netAppAccounts/capacityPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myRG/providers/Microsoft.NetApp/netAppAccounts/account1/capacityPools/customPool1",
"location": "eastus",
"properties": {
"customThroughputMibps": 128,
"poolId": "9760acf5-4638-11e7-9bdb-020073ca7778",
"provisioningState": "Succeeded",
"qosType": "Manual",
"serviceLevel": "Flexible",
"size": 4398046511104,
"totalThroughputMibps": 128,
"utilizedThroughputMibps": 100.47
}
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.NetApp/locations/eastus/operationResults/616ee961-4042-4935-b4a0-ed6f4dae0172?api-version=2026-01-01&operationResultResponseType=Location
Definitions
| Name | Description |
|---|---|
|
Capacity |
Capacity pool resource |
|
Capacity |
Capacity pool patch resource |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Qos |
The qos type of the pool |
|
Service |
The service level of the file system |
|
system |
Metadata pertaining to creation and last modification of the resource. |
CapacityPool
Capacity pool resource
| Name | Type | Default value | Description |
|---|---|---|---|
| etag |
string |
"If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.") |
|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
|
| location |
string |
The geo-location where the resource lives |
|
| name |
string |
The name of the resource |
|
| properties.coolAccess |
boolean |
False |
If enabled (true) the pool can contain cool Access enabled volumes. |
| properties.customThroughputMibps |
integer (int32) |
Maximum throughput in MiB/s that can be achieved by this pool and this will be accepted as input only for manual qosType pool with Flexible service level |
|
| properties.encryptionType |
enum:
|
Single |
Encryption type of the capacity pool, set encryption type for data at rest for this pool and all volumes in it. This value can only be set when creating new pool. |
| properties.poolId |
string minLength: 36maxLength: 36 pattern: ^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$ |
UUID v4 used to identify the Pool |
|
| properties.provisioningState |
string |
Azure lifecycle management |
|
| properties.qosType | Auto |
The qos type of the pool |
|
| properties.serviceLevel | Premium |
The service level of the file system |
|
| properties.size |
integer (int64) |
0 |
Provisioned size of the pool (in bytes). Allowed values are in 1TiB chunks (value must be multiple of 1099511627776). |
| properties.totalThroughputMibps |
number (float) |
Total throughput of pool in MiB/s |
|
| properties.utilizedThroughputMibps |
number (float) |
Utilized throughput of pool in MiB/s |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
||
| tags |
object |
Resource tags. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
CapacityPoolPatch
Capacity pool patch resource
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource Id |
| location |
string |
Resource location |
| name |
string |
Resource name |
| properties.coolAccess |
boolean |
If enabled (true) the pool can contain cool Access enabled volumes. |
| properties.customThroughputMibps |
integer (int32) |
Maximum throughput in MiB/s that can be achieved by this pool and this will be accepted as input only for manual qosType pool with Flexible service level |
| properties.qosType |
The qos type of the pool |
|
| properties.size |
integer (int64) |
Provisioned size of the pool (in bytes). Allowed values are in 1TiB chunks (value must be multiple of 1099511627776). |
| tags |
object |
Resource tags |
| type |
string |
Resource type |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
QosType
The qos type of the pool
| Value | Description |
|---|---|
| Auto |
qos type Auto |
| Manual |
qos type Manual |
ServiceLevel
The service level of the file system
| Value | Description |
|---|---|
| Standard |
Standard service level |
| Premium |
Premium service level |
| Ultra |
Ultra service level |
| StandardZRS |
Zone redundant storage service level. This will be deprecated soon. |
| Flexible |
Flexible service level |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |